Altibase.jdbc.driver.sharding.core

## Enum ShardTransactionLevel

- java.lang.Object
- - java.lang.Enum<ShardTransactionLevel>
  - - Altibase.jdbc.driver.sharding.core.ShardTransactionLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ShardTransactionLevel>

    public enum ShardTransactionLevel
    extends java.lang.Enum<ShardTransactionLevel>

샤드 트랜잭션을 나타내는 Enum.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GLOBAL`
`MULTI_NODE`
`NONE`
`ONE_NODE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ShardTransactionLevel` `get(int aLevel)`
`byte` `getValue()`
`static ShardTransactionLevel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ShardTransactionLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ONE_NODE

    public static final ShardTransactionLevel ONE_NODE

#### MULTI_NODE

    public static final ShardTransactionLevel MULTI_NODE

#### GLOBAL

    public static final ShardTransactionLevel GLOBAL

#### NONE

    public static final ShardTransactionLevel NONE

### Method Detail

#### values

    public static ShardTransactionLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ShardTransactionLevel c : ShardTransactionLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ShardTransactionLevel valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public byte getValue()

#### get

    public static ShardTransactionLevel get(int aLevel)